Package org.snpeff.stats.plot

# Class GooglePlotInt

java.lang.Object
org.snpeff.stats.plot.GooglePlotInt

Direct Known Subclasses:
  `GoogleHistogram`

public class GooglePlotInt extends Object
A simple wrapper to goolge charts API (from charts4j) Plots integer data

Author:
  pcingola

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`MAX_DATA_POINTS`

## Constructor Summary

Constructors
Constructor
Description
`GooglePlotInt(int[] x, int[] y, String title, String xAxisLabel, String yAxisLabel)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getBarSpace()`
`int`
`getBarWidth()`
`int`
`getNumberLabelsXaxis()`
`int`
`getPlotMaxData()`
`int`
`getPlotSizeX()`
`int`
`getPlotSizeY()`
`String`
`getTitle()`
`String`
`getxAxisLabel()`
`void`
`setBarSpace(int barSpace)`
`void`
`setBarWidth(int barWidth)`
`void`
`setNumberLabelsXaxis(int numberLabelsXaxis)`
`void`
`setPlotMaxData(int plotMaxData)`
`void`
`setPlotSizeX(int plotSizeX)`
`void`
`setPlotSizeY(int plotSizeY)`
`void`
`setTitle(String title)`
`void`
`setxAxisLabel(String xAxisLabel)`
`void`
`subsample(int numberOfPoints, boolean averageY)`
Re sample data so it has at most 'numberOfPoints'
`String`
`toURLString()`
Create a histogram plot using Google charts

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### MAX_DATA_POINTS

public static final int MAX_DATA_POINTS

See Also:
  - Constant Field Values

## Constructor Details

### GooglePlotInt

public GooglePlotInt(int[] x, int[] y, String title, String xAxisLabel, String yAxisLabel)

## Method Details

### getBarSpace

public int getBarSpace()

### getBarWidth

public int getBarWidth()

### getNumberLabelsXaxis

public int getNumberLabelsXaxis()

### getPlotMaxData

public int getPlotMaxData()

### getPlotSizeX

public int getPlotSizeX()

### getPlotSizeY

public int getPlotSizeY()

### getTitle

public String getTitle()

### getxAxisLabel

public String getxAxisLabel()

### setBarSpace

public void setBarSpace(int barSpace)

### setBarWidth

public void setBarWidth(int barWidth)

### setNumberLabelsXaxis

public void setNumberLabelsXaxis(int numberLabelsXaxis)

### setPlotMaxData

public void setPlotMaxData(int plotMaxData)

### setPlotSizeX

public void setPlotSizeX(int plotSizeX)

### setPlotSizeY

public void setPlotSizeY(int plotSizeY)

### setTitle

public void setTitle(String title)

### setxAxisLabel

public void setxAxisLabel(String xAxisLabel)

### subsample

public void subsample(int numberOfPoints, boolean averageY)
Re sample data so it has at most 'numberOfPoints'

### toURLString

public String toURLString()
Create a histogram plot using Google charts

Returns: